Bug 136761 - 5 * local variable used before set
Summary: 5 * local variable used before set
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnutls (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-22 08:11 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-15 23:04:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add some %doc (788 bytes, patch)
2005-01-30 00:26 UTC, Marcin Garski
no flags Details | Diff

Description David Binderman 2004-10-22 08:11:22 UTC
Description of problem:

I just tried to compile package gnutls-1.0.20-3 from package
Redhat Fedora Core 3 Test 3.

The compiler said

1.

gnutls_x509.c(1232): remark #592: variable "ret" is used before its
value is set

The source code is

        return ret;

Suggest init ret before first use.

2.

x509/common.c(619): remark #592: variable "len" is used before its
value is set

The source code is

        result = asn1_write_value(c2, name, str_time, len);

Suggest init len before first use.

3.

gnutls_openssl.c(318): remark #592: variable "x_priority" is used
before its value is set

The source code is

             i < GNUTLS_MAX_ALGORITHM_NUM && x_priority[i] != 0;

Suggest store values in the x_priority array before reading them.

4.

gnutls_openssl.c(372): remark #592: variable "x_priority" is used
before its value is set

Duplicate.

5.

certtool.c(1912): remark #592: variable "output" is used before its
value is set

The source code is

        return output;

Suggest init output before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Marcin Garski 2004-12-15 23:04:05 UTC
Thank you for the bug report. However this bug should be reported
upstream (and fixed by GnuTLS developers) so everyone could use fixed
version (not just Fedora Core users).

I've inform GnuTLS developers about this bugs, and they are fixed in
GnuTLS CVS.

Ivana please consider updating rpm in rawhide to fixed version (of
course after fixed version will be released).

Comment 3 Ivana Varekova 2004-12-16 12:40:27 UTC
Thank for the bug report. 
Thank Marcin Garski for his help.
I will update GnuTLS when fixed version will be released.
Ivana Varekova

Comment 4 Marcin Garski 2005-01-30 00:25:49 UTC
Fixed version (1.0.24) has been released, also new 1.2.0 (new stable
branch) has been released. I attach a patch that add some %doc to spec
file, please committ it.

Please note that '%description' and '%description devel' should be
changed becasue now they include this text "Someone needs to fix this
description." :)

Comment 5 Marcin Garski 2005-01-30 00:26:36 UTC
Created attachment 110403 [details]
Add some %doc


Note You need to log in before you can comment on or make changes to this bug.